DCMTK - Patch #708

DCMTKConfigVersion.cmake not present in install
2017-01-02 17:01 - Waldir Pimenta

Status: Closed Start date: 2017-01-02
Priority: Normal Due date:

Assignee: Michael Onken % Done: 0%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.6.2

Module: CMake Compiler:

Operating System:

Description

When locally building DCMTK, both DCMTKConfig.cmake and DCMTKConfigVersion.cmake are generated in the build directory.
However, when doing make install, only DCMTKConfig.cmake is copied to the install directory, which makes the use of the library in
other CMake-based projects fail if a version is passed to find_package().

After some investigation, | found the issue to be a capitalization mistake: in CMake/GenerateCMakeExports.cmake the version file is
stored in the DCMTK_CONFIG_VERSION variable, while CMakeLists.txt looks for it in ${dcmtk_config_version}.

The attached patch fixes this issue (tested locally, works without issues) and adjusts the comments in CMakelLists.txt accordingly.

History

#1 - 2017-01-02 17:28 - J6rg Riesmeier
- Category set to Configuration

- Assignee set to Michael Onken

- Target version set to 3.6.2

- Module set to CMake
| would suggest to use the upper case version of the variable name (in order to be consistent with the rest of the DCMTK). This also applies to

"dcmtk_install_config".

Assigned to MO who introduced the "CMake export" feature.

#2 - 2017-01-02 17:35 - Waldir Pimenta

- File 0001-fix-CMake-definitions-to-properly-install-DCMTKConfi.patch added
- Assignee deleted (Michael Onken)

- Target version deleted (3.6.2)

Good point. Updated the patch accordingly.

#3 - 2017-01-02 17:36 - Waldir Pimenta
- Assignee set to Michael Onken

- Target version set to 3.6.2

Sorry, for some reason the fields were automatically cleared by Redmine when | added my previous comment.

#4 - 2017-01-03 09:18 - Michael Onken

- Status changed from New to Closed

Integrated patch in commit d596c6fd.

#5 - 2017-01-03 11:12 - Waldir Pimenta

Thanks for the quick resolution, Michael. One question: was the commit made in a branch other than master, or has it simply not been pushed yet? |
just pulled master and don't see the change, and can't see it neither on http:/support.dcmtk.org/redmine/projects/dcmtk/repository, nor on
http:/qgit.demtk.org/?p=dcmtk.git (and btw, is https:/github.com/commontk/DCMTK maintained by the DCMTK team, or is it a third-party mirror?)
#6 - 2017-01-03 11:20 - Michael Onken
No, thank you for the hint and patch.

In DCMTK we use an internal testing branch which is used for nightly builds with the idea that we want to make sure that all code that we publish on
master compiles at least on the major systems.

If that is the case (or from time to time) we forward master to testing and publish it to the public repository.

So the commit will show up in a few days on git.dcmtk.org. Sorry for the confusion, | should have left a note.

#7 - 2017-01-03 11:24 - Waldir Pimenta

No problem, | suspected that would be the case :) Time permitting, I'll add some instructions about the process for prospective contributors in the wiki.

#8 - 2017-01-12 19:44 - Waldir Pimenta

Now that the public repository has been updated here's the link to the commit:
? k.gi

Files
0001-fix-CMake-definitions-to-properly-install-DCMTKConfi.patch 3.41 KB 2017-01-02 Waldir Pimenta
0001-fix-CMake-definitions-to-properly-install-DCMTKConfi.patch 4.27 KB 2017-01-02 Waldir Pimenta
